Subject: Re: Compilation of contrib of postgresql 7.1.2
From: Jason Tishler <[email-masked]>
To: BELLON Michel <[email-masked]>
Cc: [email-masked]
Date: Wed, 13 Jun 2001 11:51:44 -0400

Michel,

On Wed, Jun 13, 2001 at 03:04:13PM +0200, BELLON Michel wrote:
> I have a problem with the compilation of array contrib in postgresql
> some reference like pg_detoast_datum are unknown !

You need to apply the attached patch to correct the above problem:

    $ # save the attachment to /tmp/array.patch
    $ cd postgresql-7.1.2/contrib/array
    $ patch </tmp/array.patch

I will submit this patch to PostgreSQL CVS for consideration.

Jason

-- 
Jason Tishler
Director, Software Engineering       Phone: 732.264.8770 x235
Dot Hill Systems Corp.               Fax:   732.264.8798
82 Bethany Road, Suite 7             Email: [email-masked]
Hazlet, NJ 07730 USA                 WWW:   http://www.dothill.com
--- Makefile.orig	Wed Jun 13 11:36:40 2001
+++ Makefile	Wed Jun 13 11:37:49 2001
@@ -11,6 +11,7 @@ SONAME	:= $(NAME)$(DLSUFFIX)
 
 override CPPFLAGS := -I$(srcdir) $(CPPFLAGS)
 override CFLAGS += $(CFLAGS_SL)
+override DLLLIBS := $(BE_DLLLIBS) $(DLLLIBS)
 
 all: $(SONAME) $(NAME).sql

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple